package com.ywt.mg.domain.mealEntities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 *
 * @author Walker
 * Created on 2019/3/6
 * Updated on 2919/06/03: Update comments.
 * Updated on 2019.06.11: 增加 dish_name, dish_price, dish_package_fee 字段作为订单历史数据
 */
@Entity
@Table(name = "order_dish")
public class OrderDish {
    @Id
    private Integer id;
    @Column(name = "dish_id", nullable = false)
    private Integer dishId;
    @Column(name = "create_time", nullable = false)
    private Date createTime;
    @Column(name = "update_time", nullable = false)
    private Date updateTime;
    @Column(name = "deleted", nullable = false)
    private Integer deleted;
    @Column(name = "order_id", nullable = false)
    private Integer orderId;
    @Column(name = "count", nullable = false)
    private Integer count;
    @Column(name = "dish_name")
    private String dishName;
    @Column(name = "dish_price")
    private Integer dishPrice;
    @Column(name = "dish_package_fee")
    private Integer dishPackageFee;
    @Column(name = "dish_coin")
    private Integer dishCoin;
    @Column(name = "dish_cost_price")
    private Integer dishCostPrice;
    @Column(name = "user_spec")
    private String userSpec;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDishId() {
        return dishId;
    }

    public void setDishId(Integer dishId) {
        this.dishId = dishId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getDishName() {
        return dishName;
    }

    public void setDishName(String dishName) {
        this.dishName = dishName;
    }

    public Integer getDishPrice() {
        return dishPrice;
    }

    public void setDishPrice(Integer dishPrice) {
        this.dishPrice = dishPrice;
    }

    public Integer getDishPackageFee() {
        return dishPackageFee;
    }

    public void setDishPackageFee(Integer dishPackageFee) {
        this.dishPackageFee = dishPackageFee;
    }

    public Integer getDishCoin() {
        return dishCoin;
    }

    public void setDishCoin(Integer dishCoin) {
        this.dishCoin = dishCoin;
    }

    public Integer getDishCostPrice() {
        return dishCostPrice;
    }

    public void setDishCostPrice(Integer dishCostPrice) {
        this.dishCostPrice = dishCostPrice;
    }

    public String getUserSpec() {
        return userSpec;
    }

    public void setUserSpec(String userSpec) {
        this.userSpec = userSpec;
    }
}
